[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWaitHandleEvent

Specifies an event handler signalled for the handle in an interface object.

## Declaration

Source position: interfacebase.pp line 47

`type TWaitHandleEvent = procedure(`
`AData: PtrInt;`
`AFlags: dword`
`) of object;`

## Arguments

`AData` |  | Integer pointer to the data for the event.
`AFlags` |  | Flag value(s) for the event notification.

## Description

TWaitHandleEvent is an object procedure which specifies an event handler signalled for the handle in an interface object. The parameters contain a pointer to the data and flag values used in the event notification. It provides a callback routine executed when the signal occurs on the handle.

TWaitHandleEvent is passed as an argument to the TWidgetSet.AddEventHandler method.

## See also

TWidgetSet.AddEventHandler |  | Adds an event handler routine for the specified handle.
PEventHandler |  | Pointer to an event handler routine.
PPipeEventHandler |  | Pointer to a pipe event handler routine.
PProcessEventHandler |  | Pointer to a process event handler routine.
PSocketEventHandler |  | Pointer to a socket event handler routine.